[Xcb] Bug#662113: FTBFS: missing build-dep on python-xcbgen

Isaac Dunham idunham at lavabit.com
Sat Mar 3 23:44:54 PST 2012

Package: libxcb
Version: 1.8-2
Severity: serious
Justification: fails to build from source

I'm backporting libxcb-1.8 to Squeeze (because Mesa git head now needs
it), and built xcb-proto 1.7 for this purpose.
When the xcb-proto deb was installed, one of the python scripts crashed.
The error seemed to be due to a version mismatch (per Google), so I
installed the new python-xcbgen and the build got to dh_install
(which is purely a matter of multiarch).

Please either add a Build-depends: python-xcbgen (>=1.7) to libxcb or 
(if appropriate) a Breaks: python-xcbgen (<<1.7) to xcb-proto.

-- System Information:
Debian Release: 6.0.4
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'stable-updates')
Architecture: i386 (i686)

Kernel: Linux 3.0.16-tp-10 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=en_US.ISO-8859-15 (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

More information about the Xcb mailing list